<?php

/*
Letzte nderung am 04.04.2005 von Michael Jandke

*********************************************************
*	Diese Datei sollte aus fertigkeiten.zip stammen.	*
*														*
*	Achtung: Wer diese Dateien benutzt, verpflichtet	*
*	sich, alle Module, die er fr das Fertigkeiten-		*
*	system entwickelt frei und ffentlich zugnglich	*
*	zu machen! Jegliche Vernderungen an diesen Dateien *
*	mssen ebenfalls verffentlicht werden!				*
*														*
*	Nheres siehe: dokumentation.txt					*
*														*
*	Wir entwickeln fr Euch - Ihr entwickelt fr uns.	*
*														*
*	Jegliche Vernderungen an diesen Dateien 			*
*	mssen ebenfalls verffentlicht werden - so sieht 	*
*	es die Lizenz vor, unter der LOTGD verffentlicht	*
*	wurde!												*
*														*
*	Zuwiderhandlungen knnen empfindliche Strafen		*
*	nach sich ziehen!									*
*														*
*	Zudem bitten wir darum, dass Ihr uns eine kurze		*
*	Mail an folgende Adresse zukommen lasst, in der		*
*	Ihr	uns die Adresse des Servers nennt, auf dem das	*
*	Fertigkeitensystem verwendet wird:					*
*	cern AT quantentunnel.de							*
*	(Spamschutz " AT " durch "@" ersetzen)				*
*														*
*	Das komplette Fertigkeitensystem ist zuerst auf		*
*	http://www.green-dragon.info erschienen.			*
*														*
*********************************************************

>>>>> Variante mit der Auslagerung der Abfragefunktionen nach lib/fert.php <<<<< 

Basisversion fr die Verwaltung und Abfrage der Fertigkeitswerte

Wichtig:
In Modulen die auf die Fertigkeitswerte zugreifen wollen ist unbedingt einzufgen:

require_once("lib/fert.php");

In dieser Library sind verschiedene Abfragefunktionen fr die Fertigkeitswerte, die dort auch genauer erklrt sind.
Fr die Abfrage der Werte bitte nur die dort zur Verfgung gestellten Funktionen benutzen und nur wenn unbedingt ntig
auf die module_settings bzw. module_prefs dieses Modules hier zugreifen.

Die in fert.php verfgbaren Funktionen sind:

siehe lib/fert.php

*/

function fertigkeiten_getmoduleinfo(){
	$info = array(
		"name"=>"Fertigkeiten",
		"author"=>"Oliver Wellinghoff<br>Michael Jandke",
		"version"=>"1.0",
		"category"=>"General",
		"download"=>"http://dragonprime.net/users/Harassim/fertigkeiten.zip",
		"settings"=>array(
			"Fertigkeiten: Boni und Mali,title",
			"Achtung! Als Rassennamen die Namen aus den entsprechenden race-Modulen verwenden.,note",
			"Boni,note",
			"bonusbogen"=>"Rasse fr Bonus Bogenschieen |Elf",
			"bonusklettern"=>"Rasse fr Bonus Klettern |Dwarf",
			"bonuskochen"=>"Rasse fr Bonus Kochen und Backen |Echse",
			"bonusmusik"=>"Rasse fr Bonus Musik und Gesang |Vanthira",
			"bonusreiten"=>"Rasse fr Bonus Reiten |Human",
			"bonusschleichen"=>"Rasse fr Bonus Schleichen und Verstecken |Vampir",
			"bonusschwimmen"=>"Rasse fr Bonus Schwimmen und Tauchen |Troll",
			"Mali,note",
			"malusbogen"=>"Rasse fr Malus Bogenschieen |Vanthira",
			"malusklettern"=>"Rasse fr Malus Klettern |Human",
			"maluskochen"=>"Rasse fr Malus Kochen und Backen |Vampir",
			"malusmusik"=>"Rasse fr Malus Musik und Gesang |Echse",
			"malusreiten"=>"Rasse fr Malus Reiten |Dwarf",
			"malusschleichen"=>"Rasse fr Malus Schleichen und Verstecken |Troll",
			"malusschwimmen"=>"Rasse fr Malus Schwimmen und Tauchen |Elf",
			"Fertigkeiten: Steigerung,title",
			"steigerung"=>"Wieviele Steigerungsversuche sind pro Tag erlaubt?,range,1,5,1|3",
			"dklimit"=>"Wieviele erfolgreiche Steigerungen pro DK erlaubt?,range,5,30,1|15",
			"minvergessen"=>"Ab welchem Fertigkeitswert besteht die Chance auf \"Vergessen\"?,range,75,95,1|85",
		),
		"prefs"=>array(
			"Die Fertigkeiten,title",
			"Grundwerte,note",
			"bogen"=>"Fertigkeitswert: Bogenschieen ,range,5,95,1|5",
			"klettern"=>"Fertigkeitswert: Klettern ,range,5,95,1|5",
			"kochen"=>"Fertigkeitswert: Kochen ,range,5,95,1|5",
			"musik"=>"Fertigkeitswert: Musik und Gesang ,range,5,95,1|5",
			"reiten"=>"Fertigkeitswert: Reiten ,range,5,95,1|5",
			"schleichen"=>"Fertigkeitswert: Schleichen und Verstecken ,range,5,95,1|5",
			"schwimmen"=>"Fertigkeitswert: Schwimmen und Tauchen ,range,5,95,1|5",
			"Steigerungseinstellungen,title",
			"userdklimit"=>"Wieviele gelungene Steigerungen fr diesen DK brig? int|15",
			"usersteigerung"=>"Wieviele Steigerungsversuche fr heute brig? int|3",
		),
	);
	return $info;
}

function fertigkeiten_install(){
	module_addhook("setrace");
	module_addhook("newday");
	
	// Werte fr alle vorhandenen Spieler einmal aktualisieren (damit die module_prefs auf den default-Wert gesetzt werden)
	$sql = "SELECT acctid FROM ".db_prefix("accounts");
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	while ($row) {
		$alleIDs[] = $row['acctid'];
		$row = db_fetch_assoc($result);
	}
	require_once("lib/fert.php");
	foreach ($alleIDs as $id) {
		init_werte($id);
	}
	debug("Aktualisiere Fertigkeitswerte fr alle vorhandenen Spieler.");
	
	output("`^`b`n`n"
."******************************************			`n"
."	Diese Datei  (fertigkeiten.php)						`n"
." sollte aus fertigkeiten.zip stammen.					`n"
."														`n"
."	Achtung: Wer diese Dateien benutzt, verpflichtet	`n"
."	sich, alle Module, die er fr das Fertigkeiten-		`n"
."	system entwickelt frei und ffentlich zugnglich	`n"
."	zu machen!											`n"
."														`n"
."	Wir entwickeln fr Euch - Ihr entwickelt fr uns.	`n"
."														`n"
."	Jegliche Vernderungen an diesen Dateien 			`n"
."	mssen ebenfalls verffentlicht werden - so sieht 	`n"
."	es die Lizenz vor, unter der LOTGD verffentlicht	`n"
."	wurde!												`n"
."														`n"
."	`\$Zuwiderhandlungen knnen empfindliche Strafen	`n"
."	nach sich ziehen!`^									`n"
."														`n"
."	Nheres siehe: dokumentation.txt					`n"
."														`n"
."	Zudem bitten wir darum, dass Ihr uns eine kurze		`n"
."	Mail an folgende Adresse zukommen lasst, in der		`n"
."	Ihr	uns die Adresse des Servers nennt, auf dem das	`n"
."	Fertigkeitensystem verwendet wird:					`n"
."	cern AT quantentunnel.de							`n"
."	(Spamschutz ' AT ' durch '@' ersetzen)				`n"
."														`n"
."	Das komplette Fertigkeitensystem ist zuerst auf		`n"
."	http://www.green-dragon.info erschienen.			`n"
."														`n"
."	Viel Spa!											`n"
."														`n"
."	Oliver Wellinghoff, Michael Jandke					`n"
."	und Nico Lachmann									`n"
."														`n"
."******************************************`b`n`n");
	
	return true;
}

function fertigkeiten_uninstall(){
	return true;
}

function fertigkeiten_dohook($hookname,$args){
	global $session;
	switch($hookname){
	case "setrace":
		// Fr neue Spieler einmal alle Werte mit get_pref aufrufen (init_werte();), damit die defaults gesetzt werden
		if ($session['user']['dragonkills']==0 && $session['user']['age']<2) {
			require_once("lib/fert.php");
			init_werte();
			//output("`nDEBUG: Initialisierung der Werte wird vorgenommen!`n");
		}
		break;
	case "newday":
		// Chance auf "Vergessen" nach einem Drachenkill; die Fertigkeitswerte werden zufllig (mit steigender Chance je hher
		// der Wert ist) um 1 reduziert, um zu verhindern, das Spieler in allen Bereichen die absolute Meisterschaft erreichen.
		// Der Wert ab dem dieses in Kraft tritt, ist in den settings einstellbar.
		if ($session['user']['age']==1) {
			// Zurcksetzen des DK-Limits nach einem DK
			set_module_pref("userdklimit", get_module_setting("dklimit"));
						
			require_once("lib/fert.php");
			$minvergessen = get_module_setting("minvergessen");
			$werte = get_grundfertigkeiten_array();
			
			$werte['bogentext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse im Bogenschieen genommen.");
			$werte['kletterntext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse im Klettern genommen.");
			$werte['kochentext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse im Kochen und Backen genommen.");
			$werte['musiktext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse in der Musik und im Gesang genommen.");
			$werte['reitentext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse im Reiten genommen.");
			$werte['schleichentext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse im Schleichen und Verstecken genommen.");
			$werte['schwimmentext'] = translate_inline("Die Wiedergeburt hat Dir auch einen Teil Deiner fabelhaften Kenntnisse im Schwimmen und Tauchen genommen.");
			
			for ($i=0;$i<(sizeof($werte)/2);$i++) {
				if (current($werte)>=$minvergessen) {
					$rand = e_rand(1,max(1,(95-$minvergessen)));
					if ($rand<=(current($werte)-$minvergessen)) {
						set_module_pref(key($werte),current($werte)-1);
						output ("`n`4%s`n", $werte[key($werte)."text"]);
					}
				}
				next($werte);
			}
		}
		// tgliches Zurcksetzen der Anzahl der Steigerungsversuche
		set_module_pref("usersteigerung", get_module_setting("steigerung"));
		break;
	}
	return $args;
}
?>
